#include <bits/stdc++.h>
using namespace std;
int main () {
    long long n,a,ch=0,s=0;
    cin>>n;
    for(int i=0;i<n;i++) {
            cin>>a;
            if(a%2==0) {
                s+=(i-ch+1)*(n-i);
                ch=i+1;
            }
    }
    cout<<s<<endl;
    return 0;
}
